## solid-pop3d 0.15

=== debian/changelog ===
solid-pop3d (0.15-31) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.

  [ Robert Luberda ]
  * Add 24-fix-ipv6-crash.patch to fix a segmentation fault when client
    connects via IPv6 protocol (closes: #974956).
  * Bump debhelper compat level to 13.
  * Modernize hardening flags handling in debian/rules.
  * Recode debian/po/*.po files from national encodings to UTF-8 (lintian).
  * debian/control:
    + set Rules-Requires-Root: no;
    + Standards-Version: 4.5.1.

 -- Robert Luberda <robert@debian.org>  Sun, 17 Jan 2021 17:50:47 +0100

solid-pop3d (0.15-30) unstable; urgency=low

  * Create 22-add-Makefile.am-files.patch that adds all the Makefile.am
    files that for some reason were not provided in upstream tarball, but
    are needed to switch to debhelper v11 that calls automake automatically.
  * Switch to debhelper v11.
  * Add 23-gcc8-warnings.patch to fix warnings produced by gcc-8.
  * debian/control:
    + use default-mta instead of exim4 in Recommends field (lintian);
    + raise Priority from extra to optional (lintian);
    + update Vcs fields for salsa migration;
    + remove old, pre-stable versions from versioned relationships;
    + Standards-Version: 4.1.4.

 -- Robert Luberda <robert@debian.org>  Mon, 02 Jul 2018 21:46:09 +0200

solid-pop3d (0.15-29) unstable; urgency=medium

  * Fix the file name of Brazilian Portuguese debconf templates translation
    (closes: #844747).

 -- Robert Luberda <robert@debian.org>  Sat, 19 Nov 2016 09:23:13 +0100

solid-pop3d (0.15-28) unstable; urgency=medium

  * Brazilian Portuguese debconf templates translation (closes: #827325).
  * Update 19-gcc-warnings.patch with a fix for a warning generated by gcc6.
  * Add 20-spelling-typo.patch to fix spelling error noticed by lintian.
  * Add 21-remove-rcsid.patch to remove unused rcsid variables that cause
    gcc6 to complain about.
  * debian/rules: enable LFS support and all hardening options.
  * debian/copyright: switch to the DEP-5 format.
  * debian/control:
    + use https and cgit in Vcs fields;
    + Standards-Version: 3.9.8 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 09 Oct 2016 17:53:33 +0200

solid-pop3d (0.15-27) unstable; urgency=medium

  * Italian translation of debconf templates (closes: #766865).
  * Standards-Version: 3.9.6 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 02 Nov 2014 23:48:52 +0100

solid-pop3d (0.15-26) unstable; urgency=low

  * Apply patch from Simon Ruderich to handle CPPFLAGS hardening
    flags (closes: #665483).
  * Standards-Versions: 3.9.3 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 25 Mar 2012 19:16:01 +0200

solid-pop3d (0.15-25) unstable; urgency=low

  * Danish translation of the debconf templates (closes: #650854).
  * Rename & refresh patches with gbp-pq import/export.
  * Switch to debhelper v9 and tiny rules file.
  * debian/control:
    + sort dependency fields with wrap-and-sort.
    + add VCS fields;
    + suggests: openbsd-inetd | inet-superserver;
    + drop build-dependency in hardening-includes, dpkg-buildflags enables
      hardening options now by default.
    + Standards-Version: 3.9.2 (no changes).

 -- Robert Luberda <robert@debian.org>  Sat, 11 Feb 2012 23:17:10 +0100

solid-pop3d (0.15-24) unstable; urgency=low

  * Switch to the `3.0 (quilt) source format:
    + remove build-time dependency on dpatch;
    + change patch files extension from .dpatch to .patch;
    + remove debian/README.source;
    + remove dpatch descriptions from patch headers;
    + remove 01_config.dpatch, use dh_autotools-dev_*config instead.

  * New patches:
    + 17_close_fds.patch: Close any open file descriptors and reopen
      the three standard ones to /dev/null. This should prevent the daemon
      from hanging when debconf is active (LP: #621107).
    + 18_init_fix.patch: Fix gcc warning appeared because of 08_init.patch;
    + 19_gcc_warnings.patch: Fix various warnings given by gcc.

  * debian/rules:
    + drop patch/unpatch target;
    + use dpkg-buildflags for getting CFLAGS/LDFLAGS.
    + call dh_auto_{configure,build,clean} commands;
    + provide build-{arch,indep} targets.

  * Enable hardening logic provided by the hardening-includes package; add
    the package to build-depends.
  * Split Choices field in debian/templates (lintian) and then unfuzzy
    translations.
  * Standards-Version: 3.9.1.
  * Build with debhelper v8.

 -- Robert Luberda <robert@debian.org>  Sat, 19 Feb 2011 13:49:29 +0100

solid-pop3d (0.15-23) unstable; urgency=low

  * Add Russian translation of debconf templates (closes: #549176).

 -- Robert Luberda <robert@debian.org>  Sun, 18 Oct 2009 15:52:17 +0200

solid-pop3d (0.15-22) unstable; urgency=low

  * Add Spanish translation of debconf templates (closes: #537080).
  * Add debian/README.source.
  * Standards-Version: 3.8.3.
  * Build with debhelper v7.

 -- Robert Luberda <robert@debian.org>  Mon, 31 Aug 2009 19:54:46 +0200

solid-pop3d (0.15-21) unstable; urgency=low

  * Don't call db_stop (closes: #473290).
  * Standards-Version: 3.8.0 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 07 Sep 2008 10:27:21 +0200

solid-pop3d (0.15-20) unstable; urgency=low

  * 16_manpage_hyphens.dpatch: fix hyphens in man pages (lintian).
  * debian/copyright: Add copyright notice (lintian).

 -- Robert Luberda <robert@debian.org>  Sat, 19 Apr 2008 18:28:08 +0200

solid-pop3d (0.15-19) unstable; urgency=low

  * Initial Dutch po-debconf translation (closes: #450971).
  * Use some mirror site in debian/watch (closes: #449910), remove homepage
    URL from description. solid-pop3d has been dead upstream for a long time,
    so I wouldn't expect any new upstream releases.
  * debian/rules:
    + Don't ignore make clean error (lintian).
    + Set LDFLAGS to `-Wl,-z,defs -Wl,--as-needed'.
    + Add support for cross-linking.
  * Use debhelper v6.
  * Standards-Version: 3.7.3.


