=== debian/control ===
Source: solid-pop3d
Section: mail
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: debhelper-compat (= 13), liblockfile-dev, libpam0g-dev
Rules-Requires-Root: no
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/debian/solid-pop3d.git
Vcs-Browser: https://salsa.debian.org/debian/solid-pop3d/

Package: solid-pop3d
Architecture: any
Depends: adduser,
         libpam-runtime,
         lsb-base,
         netbase,
         update-inetd,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Provides: pop3-server
Conflicts: pop3-server
Recommends: default-mta | mail-transport-agent
Suggests: openbsd-inetd | inet-superserver
Description: POP3 server supporting Maildir, PAM, vhosting
 The Solid POP3 Server is an implementation of a Post Office Protocol version 3
 server that has flexibility as its main goal. The server is easily
 configurable and has support for features such as:
  - APOP authentication scheme
  - virtual hosting
  - maildir and mailbox handling
  - bulletins
  - expiration of messages
